<?php
  session_start();
  $ruta="../../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  require_once($ruta.'recursos/pdf/tcpdf/tcpdf.php');
  include($ruta."recursos/qr/qrlib.php");
/******************    SEGURIDAD *************/
extract($_GET);
//********* SEGURIDAD GET *************/
$valor=dcUrl($lblcode);
$cred=$credito->muestra($valor);
$per=$persona->mostrarPrimero("idpersona=".$cred['idpersona']);
$rutaImg=$ruta."imagenes/logo.png";
$demp=$miempresa->muestra(1);
$dus=$usuario->muestra($cred["usuariocreacion"]);
$tba=$tipobanca->muestra($cred['idtipobanca']);
$eje=$vadmejecutivo->muestra($cred['idejecutivo']);
$ddom=$dominio->muestra($cred['idfrecuenciapago']);


// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
//$pdf->SetPrintHeader(false);
$pdf->setHeaderData('',0,'','',array(0,0,0), array(255,255,255) );  
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('JHULIOS');
$pdf->SetTitle('EXTRACTO');
$pdf->SetSubject('EXTRACTO');
$pdf->SetKeywords('EXTRACTO');


// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
//$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/es.php')) {
    require_once(dirname(__FILE__).'/lang/es.php');
    $pdf->setLanguageArray($l);
}
// ---------------------------------------------------------
// set default font subsetting mode
$pdf->setFontSubsetting(true);

// Set font
// dejavusans is a UTF-8 Unicode font, if you only need to
// print standard ASCII chars, you can use core fonts like
// helvetica or times to reduce file size.
//$pdf->SetFont('dejavusans', '', 14, '', true);
$pdf->SetFont('helvetica', '', 8);
$pdf->AddPage('L','A4');
// Add a page
// This method has several options, check the source code documentation for more information.
setlocale(LC_ALL, 'es_ES').': ';
// Set some content to print
$html=' 
<style>
.tituloFactura{
  font-size:12px;
  font-weight: bold;
}
.tituloCenda{
  color:red;
}
.letras{
  font-size:7px;
}
.letras2{
  font-size:18px;
}
</style>
<table width="100%"  align="center">
          <tr>
            <td class="letras">
              <center>
                <img width="150px;" src="'.$rutaImg.'" ><br>
                <b>'.$demp['nombre'].'</b><br>
                ';
                $html=$html.'
                <b>Dirección:</b>'.$demp['direccion'].'<br>
                <b>Telfs.:</b>'.$demp['telefono'].'<br>
                LA PAZ - BOLIVIA
              </center>
            </td>
            <td><br>
            <div class="tituloFactura">EXTRACTO</div>
            </td>
            <td><br>
            <table border="1">
              <tr>
                <td>
                  <table class="letras" cellpadding="2">
                    <tr>
                      <td align="right">
                        FECHA:
                      </td>
                      <td align="left">
                        <b>'.$cred['fechacreacion'].'</b>
                      </td>
                    </tr>
                    <tr>
                      <td align="right">
                        HORA:
                      </td>
                      <td align="left">
                        <b>'.$cred['horacreacion'].'</b>
                      </td>
                    </tr>
                    <tr>
                      <td align="right">
                        EJECUTIVO:
                      </td>
                      <td align="left">
                        <b>'.$dus['usuario'].'</b>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>                     
            </td>
          </tr>
        </table';
        $pdf->SetFont('helvetica', '', 9);
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
$html='
<style>
.tituloCenda{
  text-align:center;
  font-weight: bold;
  font-size:10px;
}
.sMoneda{
  text-align: right;
}
.scenter{
  text-align: center;
}
.sfila{
  border: solid 1px #ddd;
}
.letras{
  font-size:6px;
  text-align: center;
}
.letras4{
  font-size:8px;
}
.cabeceraCentro{
  padding: 1px;
  border-top: solid 1px #ddd;
  border-bottom: solid 1px #ddd;
  text-align:center;
}
.textocentro{
  text-align:center;
}
.cabecera2{
  border: solid 1px white;
  font-weight: bold;
}
</style>
  <table class="cabecera3" width="530">
    <tr>
      <td width="50%"><b>NOMBRE : </b>'.$per['nombre']." ".$per['paterno']." ".$per['materno'].'</td>
      <td width="50%"><b>CAPITAL: </b>'.number_format($cred['montoOT'], 2, '.', '').' BS</td>
    </tr>
    <tr>
      <td><b>CI: </b>'.$per['carnet'].''.$per['expedido'].'</td>
      <td><b>Cuotas: </b>'.$cred['cuotas'].' Cuotas</td>
    </tr>
    <tr>
      <td><b>CODIGO: </b>'.$cred['idcredito'].'</td>
      <td><b>Tasa: </b>'.$cred['interes'].'%</td>
    </tr>
    <tr>
      <td><b>BANCA: </b>'.$tba['nombre'].'</td>
      <td><b>FRECUENCIA: </b> Cada '.$cred['lapsoDias'].' días</td>
    </tr>
    <tr>
      <td><b>Dias Gracia: </b>0</td>
      <td><b>ASESOR : </b>'.$eje['nombre']." ".$eje['paterno'].'</td>
      <td></td>
    </tr>
  </table>
<table border="0" cellpadding="2" width="704">
  <tr style="background-color:#dddddd;">
    <td class="cabecera2 textocentro" width="50"> CUOTA </td>
    <td class="cabecera2 textocentro" width="80"> FECHA </td>
    <td class="cabecera2 textocentro" width="60"> AMORT. CAP. </td>
    <td class="cabecera2 textocentro" width="60"> INTERÉS</td>
    <td class="cabecera2 textocentro" width="60"> C.A.</td>
    <td class="cabecera2 textocentro" width="60"> SEGURO </td>
    <td class="cabecera2 textocentro" width="60"> TOTAL </td>
    <td class="cabecera2 textocentro" width="70"> SALDO CAP. </td>
    <td class="cabecera2 textocentro" width="150"> DETALLE </td>
  </tr>
  ';
  $pdf->SetFont('helvetica', '', 8);
  $fechaActual="";
  foreach($creditodetalle->mostrarTodo("idcredito=".$valor) as $f) {
    $total=$f['monto']+$f['interes']+$f['gadmin']+$f['seguro'];
    $html=$html.'
    <tr>
      <td class="sfila textocentro">'.$f['cuota'].'</td>
      <td class="sfila textocentro">'.$f['fechacreacion'].':'.$f['horacreacion'].'</td>
      <td class="sfila textocentro">'.number_format($f['monto'], 2, '.', '').'</td>
      <td class="sfila textocentro">'.number_format($f['interes'], 2, '.', '').'</td>
      <td class="sfila textocentro">'.number_format($f['gadmin'], 2, '.', '').'</td>
      <td class="sfila textocentro">'.number_format($f['seguro'], 2, '.', '').'</td>
      <td class="sfila textocentro">'.number_format($total, 2, '.', '').'</td>
      <td class="sfila textocentro">'.number_format($f['saldo'], 2, '.', '').'</td>
      <td class="sfila textocentro">'.$f['glosa'].'</td>
    </tr>';
  }
  $html=$html.'
  </table>
 ';
// Print text using writeHTMLCell()
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
// ---------------------------------------------------------
// Close and output PDF document
// This method has several options, check the source code documentation for more information. "D"
$pdf->Output('Extracto.pdf', 'I');

 ?>
